MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024658Open CASCADE[OCCT] OCCT:Shape Healingpublic2014-02-25 10:252016-04-20 15:51
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024658: fixshape changes source shape
DescriptionThe source shape after checkshape command is changed and equals to resulting shape

This case should be fixed without rebase due to reproducing script is sensitive to it
Steps To Reproducerestore bug24658.brep a
tolerance a
fixshape af a
tolerance a

# Check tolerance before and after checkshape of original shape for inequality.
TagsNo tags attached.
Test case numberbugs heal bug24658
Attached Files? file icon bug24658.brep (10,599 bytes) 2014-02-25 10:26

- Relationships
has duplicate 0024651closedibs fixshape changes source shape 

-  Notes
(0046239)
aml (developer)
2015-09-29 08:18

Described problem not reproduced on current master.
(0046240)
aml (developer)
2015-09-29 08:32
edited on: 2015-09-29 09:01

After fixshape there are different tolerances obtained in 6.7.0 and current master.

On 6.7.0 tolerances changed in scope of ShapeFix_Wire::FixSelfIntersection() method.
On master branch no changes performed by fixshape.

ShapeFix_Wire::FixSelfIntersection() really may lead to the modification of input shape. This problem partially fixed in bug26656.

(0046304)
git (administrator)
2015-09-30 07:17

Branch CR24658 has been created by aml.

SHA-1: bdaf3de1e973dad046162e81f35eaa5a0675c2bd


Detailed log of new commits:

Author: aml
Date: Tue Sep 29 10:34:24 2015 +0300

    fixshape changes source shape
    
    Context usage extended in method ShapeFix_Wire::FixSelfIntersection() to avoid modification of original shape by shape healing.
    Test cases are updated to the new behaviour.
(0046305)
aml (developer)
2015-09-30 07:19

Dear gka,

please check current state of CR24658 branch.
(0046545)
aml (developer)
2015-10-07 12:03

It was decided to investigate labels changing in scope of this issue.
(0046627)
git (administrator)
2015-10-09 14:55

Branch CR24658 has been updated forcibly by aml.

SHA-1: ef1fa0f64b452c9b7845232a1cbfd672fd2bf21e
(0046683)
git (administrator)
2015-10-13 07:54

Branch CR24658 has been updated forcibly by aml.

SHA-1: a5a609d54979f06d6a9316f77f736588144f9a97
(0046684)
aml (developer)
2015-10-13 07:55

Dear gka,

Please check current state of branch CR24658.
(0047458)
git (administrator)
2015-10-27 08:57

Branch CR24658 has been updated forcibly by aml.

SHA-1: c094655c0749a581272a647b4b9b70a57f137ca7
(0047459)
aml (developer)
2015-10-27 08:58

Dear gka,

Branch CR24658 was updated to avoid interference with CR26620 branch. Please review.
(0047490)
gka (developer)
2015-10-27 15:15

 Branch CR24658 is ready to be tested
(0047495)
git (administrator)
2015-10-27 16:11

Branch CR24658 has been updated forcibly by mkv.

SHA-1: 5f97f38398348611d3bf7c2ae2a117e8645cd36b
(0047540)
mkv (tester)
2015-10-28 15:33

Dear BugMaster,
Branch CR24658 was rebased on current master of occt git-repository.
SHA-1: 5f97f38398348611d3bf7c2ae2a117e8645cd36b
(0047541)
mkv (tester)
2015-10-28 15:34

Dear BugMaster,
Branch CR24658 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5f97f38398348611d3bf7c2ae2a117e8645cd36b

Number of compiler warnings:

occt component :
Linux: 1 (1 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR24658-master-occt-64/Debian70-64/bugs/heal/bug24658.html [^]
http://occt-tests/CR24658-master-occt-64/Windows-64-VC10/bugs/heal/bug24658.html [^]
bugs heal bug24658: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92463013 / 92333247 [+0.14%]
Total CPU difference: 19670.16999999981 / 19731.30999999969 [-0.31%]
products component :
Total MEMORY difference: 26249788 / 26272952 [-0.09%]
Total CPU difference: 7784.549999999999 / 7371.560000000013 [+5.60%]

Testing on Windows:
occt component :
Total MEMORY difference: 58437050 / 58090605 [+0.60%]
Total CPU difference: 18629.608219798625 / 18494.792155599 [+0.73%]
products component :
Total MEMORY difference: 17258321 / 17167510 [+0.53%]
Total CPU difference: 5600.8727027999685 / 5658.655473199974 [-1.02%]

There are no differences in images found by testdiff.
(0047542)
git (administrator)
2015-10-28 15:34

Branch CR24658 has been updated by mkv.

SHA-1: bf3cfc532a76de34388725dd7ce1b47ff9d25a1b


Detailed log of new commits:

Author: mkv
Date: Wed Oct 28 15:33:28 2015 +0300

    Test case for issue CR24658

(0047543)
mkv (tester)
2015-10-28 15:34

Dear aml,
could you please review following test case
bugs heal bug24658
(0047566)
aml (developer)
2015-10-29 07:44

Dear mkv,
Test case "bugs heal bug24658" is OK.
(0047589)
mkv (tester)
2015-10-29 12:23

Dear BugMaster,
Branch CR24658 is TESTED.
(0053178)
git (administrator)
2016-04-17 14:30

Branch CR24658 has been deleted by kgv.

SHA-1: bf3cfc532a76de34388725dd7ce1b47ff9d25a1b

- Related Changesets
occt: master 53446383
Timestamp: 2015-09-29 07:34:24
Author: aml
Committer: bugmaster
Details ] Diff ]
0024658: fixshape changes source shape

Context usage extended in method ShapeFix_Wire::FixSelfIntersection() to avoid modification of original shape by shape healing.
Added check for subshape modification in XSAlgo/XSAlgo_AlgoContainer::MergeTransferInfo().
Test cases are updated to the new behaviour.

Test case for issue CR24658
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_AlgoContainer.cxx Diff ] File ]
add - tests/bugs/heal/bug24658 Diff ] File ]
mod - tests/de/iges_1/G7 Diff ] File ]
mod - tests/de/iges_1/H6 Diff ] File ]
mod - tests/de/iges_1/H8 Diff ] File ]
mod - tests/de/iges_1/I1 Diff ] File ]
mod - tests/de/iges_1/J2 Diff ] File ]
mod - tests/de/iges_1/J3 Diff ] File ]
mod - tests/de/iges_1/J8 Diff ] File ]
mod - tests/de/iges_1/K2 Diff ] File ]
mod - tests/de/iges_1/K3 Diff ] File ]
mod - tests/de/iges_1/K9 Diff ] File ]
mod - tests/de/iges_1/L2 Diff ] File ]
mod - tests/de/iges_1/L5 Diff ] File ]
mod - tests/de/iges_1/L6 Diff ] File ]
mod - tests/de/iges_1/M2 Diff ] File ]
mod - tests/de/iges_1/M3 Diff ] File ]
mod - tests/de/iges_1/M6 Diff ] File ]
mod - tests/de/iges_1/M7 Diff ] File ]
mod - tests/de/iges_1/N3 Diff ] File ]
mod - tests/de/iges_1/N5 Diff ] File ]
mod - tests/de/iges_1/N7 Diff ] File ]
mod - tests/de/iges_1/P5 Diff ] File ]
mod - tests/de/iges_1/P7 Diff ] File ]
mod - tests/de/iges_1/Q3 Diff ] File ]
mod - tests/de/iges_1/Q4 Diff ] File ]
mod - tests/de/iges_1/Q5 Diff ] File ]
mod - tests/de/iges_1/Q6 Diff ] File ]
mod - tests/de/iges_1/R1 Diff ] File ]
mod - tests/de/iges_1/R4 Diff ] File ]
mod - tests/de/iges_1/R5 Diff ] File ]
mod - tests/de/iges_2/A4 Diff ] File ]
mod - tests/de/iges_2/A7 Diff ] File ]
mod - tests/de/iges_2/A9 Diff ] File ]
mod - tests/de/iges_2/B3 Diff ] File ]
mod - tests/de/iges_2/B8 Diff ] File ]
mod - tests/de/iges_2/C3 Diff ] File ]
mod - tests/de/iges_2/D1 Diff ] File ]
mod - tests/de/iges_2/E1 Diff ] File ]
mod - tests/de/iges_2/E3 Diff ] File ]
mod - tests/de/iges_2/E4 Diff ] File ]
mod - tests/de/iges_2/E6 Diff ] File ]
mod - tests/de/iges_2/E7 Diff ] File ]
mod - tests/de/iges_2/F3 Diff ] File ]
mod - tests/de/iges_2/F4 Diff ] File ]
mod - tests/de/iges_2/F5 Diff ] File ]
mod - tests/de/iges_2/F9 Diff ] File ]
mod - tests/de/iges_2/G1 Diff ] File ]
mod - tests/de/iges_2/G8 Diff ] File ]
mod - tests/de/iges_2/G9 Diff ] File ]
mod - tests/de/iges_2/I3 Diff ] File ]
mod - tests/de/iges_2/I4 Diff ] File ]
mod - tests/de/iges_2/I5 Diff ] File ]
mod - tests/de/iges_2/I8 Diff ] File ]
mod - tests/de/iges_2/I9 Diff ] File ]
mod - tests/de/iges_3/A2 Diff ] File ]
mod - tests/de/iges_3/A3 Diff ] File ]
mod - tests/de/iges_3/A4 Diff ] File ]
mod - tests/de/iges_3/A9 Diff ] File ]
mod - tests/de/step_3/E6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-25 10:25 ibs New Issue
2014-02-25 10:25 ibs Assigned To => ibs
2014-02-25 10:26 ibs Description Updated View Revisions
2014-02-25 10:26 ibs Steps to Reproduce Updated View Revisions
2014-02-25 10:26 ibs File Added: bug24658.brep
2014-02-27 10:48 ibs Relationship added has duplicate 0024651
2014-07-21 11:38 ibs Status new => assigned
2015-09-25 01:09 abv Assigned To ibs => aml
2015-09-29 08:18 aml Note Added: 0046239
2015-09-29 08:18 aml Assigned To aml => abv
2015-09-29 08:18 aml Status assigned => feedback
2015-09-29 08:32 aml Note Added: 0046240
2015-09-29 08:52 aml Note Edited: 0046240 View Revisions
2015-09-29 09:00 aml Steps to Reproduce Updated View Revisions
2015-09-29 09:01 aml Note Edited: 0046240 View Revisions
2015-09-29 09:12 aml Assigned To abv => aml
2015-09-29 09:12 aml Status feedback => assigned
2015-09-30 07:17 git Note Added: 0046304
2015-09-30 07:19 aml Note Added: 0046305
2015-09-30 07:19 aml Assigned To aml => gka
2015-09-30 07:19 aml Status assigned => resolved
2015-10-07 10:57 gka Assigned To gka => aml
2015-10-07 10:57 gka Status resolved => assigned
2015-10-07 12:03 aml Note Added: 0046545
2015-10-09 14:55 git Note Added: 0046627
2015-10-13 07:54 git Note Added: 0046683
2015-10-13 07:55 aml Note Added: 0046684
2015-10-13 07:55 aml Assigned To aml => gka
2015-10-13 07:55 aml Status assigned => resolved
2015-10-22 11:05 gka Assigned To gka => aml
2015-10-22 11:05 gka Status resolved => assigned
2015-10-27 08:57 git Note Added: 0047458
2015-10-27 08:58 aml Note Added: 0047459
2015-10-27 08:58 aml Assigned To aml => gka
2015-10-27 08:58 aml Status assigned => resolved
2015-10-27 15:15 gka Note Added: 0047490
2015-10-27 15:15 gka Assigned To gka => bugmaster
2015-10-27 15:15 gka Status resolved => reviewed
2015-10-27 15:54 mkv Assigned To bugmaster => mkv
2015-10-27 16:11 git Note Added: 0047495
2015-10-27 16:19 mkv Assigned To mkv => ibs
2015-10-27 16:19 mkv Assigned To ibs => mkv
2015-10-28 15:33 mkv Note Added: 0047540
2015-10-28 15:34 mkv Note Added: 0047541
2015-10-28 15:34 git Note Added: 0047542
2015-10-28 15:34 mkv Note Added: 0047543
2015-10-28 15:34 mkv Assigned To mkv => aml
2015-10-28 15:34 mkv Status reviewed => feedback
2015-10-28 15:35 mkv Test case number => bugs heal bug24658
2015-10-29 07:44 aml Assigned To aml => mkv
2015-10-29 07:44 aml Note Added: 0047566
2015-10-29 12:23 mkv Note Added: 0047589
2015-10-29 12:23 mkv Assigned To mkv => bugmaster
2015-10-29 12:23 mkv Status feedback => tested
2015-10-30 16:00 bugmaster Changeset attached => occt master 53446383
2015-10-30 16:00 bugmaster Status tested => verified
2015-10-30 16:00 bugmaster Resolution open => fixed
2016-04-17 14:30 git Note Added: 0053178
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker